org.gitana.platform.services.statistics

## Class StatisticsImpl

- java.lang.Object
- - org.gitana.platform.services.statistics.StatisticsImpl

All Implemented Interfaces:
  Statistics

    public class StatisticsImpl
    extends Object
    implements Statistics

Author:
  uzi

### Constructor Summary

Constructors
Constructor and Description
`StatisticsImpl()`
`StatisticsImpl(com.fasterxml.jackson.databind.node.ObjectNode object)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,Object>` `getValues()`
`boolean` `hasValue(String key)`
`boolean` `readBooleanValue(String key)`
`boolean` `readBooleanValue(String key, boolean defaultValue)`
`double` `readDoubleValue(String key)`
`double` `readDoubleValue(String key, double defaultValue)`
`int` `readIntValue(String key)`
`int` `readIntValue(String key, int defaultValue)`
`Object` `readValue(String key)`
`Object` `readValue(String key, Object defaultValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatisticsImpl

    public StatisticsImpl(com.fasterxml.jackson.databind.node.ObjectNode object)

#### StatisticsImpl

    public StatisticsImpl()

### Method Detail

#### getValues

    public Map<String,Object> getValues()

Specified by:
  `getValues` in interface `Statistics`

#### hasValue

    public boolean hasValue(String key)

Specified by:
  `hasValue` in interface `Statistics`

#### readValue

    public Object readValue(String key)

Specified by:
  `readValue` in interface `Statistics`

#### readValue

    public Object readValue(String key,
                            Object defaultValue)

Specified by:
  `readValue` in interface `Statistics`

#### readIntValue

    public int readIntValue(String key)

Specified by:
  `readIntValue` in interface `Statistics`

#### readIntValue

    public int readIntValue(String key,
                            int defaultValue)

Specified by:
  `readIntValue` in interface `Statistics`

#### readDoubleValue

    public double readDoubleValue(String key)

Specified by:
  `readDoubleValue` in interface `Statistics`

#### readDoubleValue

    public double readDoubleValue(String key,
                                  double defaultValue)

Specified by:
  `readDoubleValue` in interface `Statistics`

#### readBooleanValue

    public boolean readBooleanValue(String key)

Specified by:
  `readBooleanValue` in interface `Statistics`

#### readBooleanValue

    public boolean readBooleanValue(String key,
                                    boolean defaultValue)

Specified by:
  `readBooleanValue` in interface `Statistics`